# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from assistant_rpc import assistant_pb2 as assistant__pb2
from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


class AssistServerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.GetUserList = channel.unary_unary(
                '/assistant.AssistServer/GetUserList',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=assistant__pb2.UserList.FromString,
                )
        self.CreateUser = channel.unary_unary(
                '/assistant.AssistServer/CreateUser',
                request_serializer=assistant__pb2.User.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.ProcessUserInput = channel.unary_unary(
                '/assistant.AssistServer/ProcessUserInput',
                request_serializer=assistant__pb2.UserInput.SerializeToString,
                response_deserializer=assistant__pb2.ServerOutput.FromString,
                )
        self.LatestRecordedMessages = channel.unary_unary(
                '/assistant.AssistServer/LatestRecordedMessages',
                request_serializer=assistant__pb2.LatestMsgsRequest.SerializeToString,
                response_deserializer=assistant__pb2.ServerOutput.FromString,
                )
        self.GetTypeQA = channel.unary_unary(
                '/assistant.AssistServer/GetTypeQA',
                request_serializer=assistant__pb2.UserInput.SerializeToString,
                response_deserializer=assistant__pb2.Type.FromString,
                )


class AssistServerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def GetUserList(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CreateUser(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ProcessUserInput(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def LatestRecordedMessages(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetTypeQA(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AssistServerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'GetUserList': grpc.unary_unary_rpc_method_handler(
                    servicer.GetUserList,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=assistant__pb2.UserList.SerializeToString,
            ),
            'CreateUser': grpc.unary_unary_rpc_method_handler(
                    servicer.CreateUser,
                    request_deserializer=assistant__pb2.User.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'ProcessUserInput': grpc.unary_unary_rpc_method_handler(
                    servicer.ProcessUserInput,
                    request_deserializer=assistant__pb2.UserInput.FromString,
                    response_serializer=assistant__pb2.ServerOutput.SerializeToString,
            ),
            'LatestRecordedMessages': grpc.unary_unary_rpc_method_handler(
                    servicer.LatestRecordedMessages,
                    request_deserializer=assistant__pb2.LatestMsgsRequest.FromString,
                    response_serializer=assistant__pb2.ServerOutput.SerializeToString,
            ),
            'GetTypeQA': grpc.unary_unary_rpc_method_handler(
                    servicer.GetTypeQA,
                    request_deserializer=assistant__pb2.UserInput.FromString,
                    response_serializer=assistant__pb2.Type.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'assistant.AssistServer', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class AssistServer(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def GetUserList(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/assistant.AssistServer/GetUserList',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            assistant__pb2.UserList.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CreateUser(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/assistant.AssistServer/CreateUser',
            assistant__pb2.User.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ProcessUserInput(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/assistant.AssistServer/ProcessUserInput',
            assistant__pb2.UserInput.SerializeToString,
            assistant__pb2.ServerOutput.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def LatestRecordedMessages(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/assistant.AssistServer/LatestRecordedMessages',
            assistant__pb2.LatestMsgsRequest.SerializeToString,
            assistant__pb2.ServerOutput.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetTypeQA(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/assistant.AssistServer/GetTypeQA',
            assistant__pb2.UserInput.SerializeToString,
            assistant__pb2.Type.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
